commit:     d68e21c3ab604be5da0254799129f0bd0aa730fc
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  9 01:23:16 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Feb  9 18:05:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d68e21c3

sys-block/megarc: fixup for LSI->Avagotech company change.

Fixes bug #439116, #400927,# 561200.
Avagotech now includes download pages that do not require a
click-through EULA; revbump as the zipfile has changed from upstream.

Package-Manager: portage-2.2.27
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 sys-block/megarc/Manifest              |  3 +-
 sys-block/megarc/megarc-1.11-r1.ebuild | 44 --------------------------
 sys-block/megarc/megarc-1.11-r2.ebuild | 56 ++++++++++++++++++++++++++++++++++
 sys-block/megarc/metadata.xml          |  5 +++
 4 files changed, 63 insertions(+), 45 deletions(-)

diff --git a/sys-block/megarc/Manifest b/sys-block/megarc/Manifest
index 8100bbb..e429f91 100644
--- a/sys-block/megarc/Manifest
+++ b/sys-block/megarc/Manifest
@@ -1 +1,2 @@
-DIST ut_linux_megarc_1.11.zip 281955 SHA256 
dda709b6292afb4cc2a2e2421bd13e291b98393b98160515ff68e1ee37104d1f SHA512 
19271385991168053ab62121a26f35136d634826e84b5d7f4b451f9dac3e050c6be4bde6588467fbc843bd91287a8bd3b25c686ed7323e6006fd9035f9db43e3
 WHIRLPOOL 
c706b36105749a273d41681390f3681d4f5545ffc3d1b5a9c60f61cc16bbe45dc43e6d66525f0d76fdbef947f2d06dc4ee0648142ad136bafd31808ee2b89c88
+DIST README_FOR_ut_linux_megarc_1-11-zip.txt 3512 SHA256 
5107792aae98da508e089e1d4a30e86846597db4b3decba9561819ae44eec87b SHA512 
8ee63fad41875442e158b72a82fafe1ed15e00fd47bed2ff1f4f37f4bd6685eccfcd361294a2694a23c4d53d024d9488d5272ba5352685f346b7722ae7cff694
 WHIRLPOOL 
845b271fed955106394dafffbdb0f6db5d5fa019e9ce31c19e4141c017bab6746ab8dd5ee697f1ae784cced7b4c267a534b0148fbd3207ea3f3b882e0aedeb78
+DIST ut_linux_megarc_1-11.zip 301703 SHA256 
bba008e40c66b74a87e3ecf3c068d35ae8f464c332635400096cbb856c33eb4b SHA512 
9f79ad0c0bb05b9fd9044d66551da0ac95485ddd8ed3a37f1bdb064db80c97897f904150418e93b66783e86bc3ccb2ec1eca9bac7a5dd25bb03cd4414b8389b7
 WHIRLPOOL 
aad56cf485da49fa25f751c3ed848bce512e78165dc8f21f3913254f55397789a0ede8934e44a9ae297cd2194496a1792b1ae9a6f0acaa52d1fce937a7d68f46

diff --git a/sys-block/megarc/megarc-1.11-r1.ebuild 
b/sys-block/megarc/megarc-1.11-r1.ebuild
deleted file mode 100644
index 8a709ae..0000000
--- a/sys-block/megarc/megarc-1.11-r1.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="3"
-
-inherit multilib
-
-DESCRIPTION="LSI Logic MegaRAID Text User Interface management tool"
-HOMEPAGE="http://www.lsi.com";
-SRC_URI="http://www.lsi.com/downloads/Public/MegaRAID%20Common%20Files/ut_linux_${PN}_${PV}.zip";
-
-LICENSE="LSI"
-SLOT="0"
-# This package can never enter stable, it can't be mirrored and upstream
-# can remove the distfiles from their mirror anytime.
-KEYWORDS="~amd64 ~x86"
-IUSE="doc"
-
-DEPEND="app-arch/unzip
-       doc? ( app-text/antiword )"
-RDEPEND=""
-
-RESTRICT="mirror"
-
-S="${WORKDIR}"
-
-QA_PRESTRIPPED="/opt/bin/megarc"
-
-pkg_setup() {
-       use amd64 && { has_multilib_profile || die "needs multilib profile on 
amd64"; }
-}
-
-src_compile() {
-       use doc && antiword ut_linux.doc > ${PN}-manual.txt
-}
-
-src_install() {
-       use doc && dodoc ${PN}-manual.txt
-       newdoc ut_linux_${PN}_${PV}.txt ${PN}-release-${PV}.txt
-
-       exeinto /opt/bin
-       newexe megarc.bin megarc || die
-}

diff --git a/sys-block/megarc/megarc-1.11-r2.ebuild 
b/sys-block/megarc/megarc-1.11-r2.ebuild
new file mode 100644
index 0000000..3639a02
--- /dev/null
+++ b/sys-block/megarc/megarc-1.11-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit multilib
+
+MY_PN="ut_linux_megarc"
+MY_PV="${PV//./-}"
+MY_P="${MY_PN}_${MY_PV}"
+
+DESCRIPTION="LSI Logic MegaRAID Text User Interface management tool"
+# Previous releases from LSI directly required a click-through EULA; but the
+# upstream website no longer requires this consistently: most old files have
+# two or more download pages, and while one of the pages has a generic
+# click-through download form, the file-specific download page only requires
+# click-through on some items. See also sys-block/lsiutil, sys-block/megarc
+HOMEPAGE="http://www.avagotech.com/cs/Satellite?q=megacli&pagename=AVG2%2FsearchLayout&locale=avg_en&within=megacli&Search=megarc&srch-radio=new&Submit=Search";
+SRC_URI="
+       
http://www.avagotech.com/docs-and-downloads/legacy-raid-controllers/legacy-raid-controllers-common-files/${MY_P}.zip
+       
http://www.avagotech.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/README_FOR_${MY_P}-zip.txt";
+
+LICENSE="LSI"
+SLOT="0"
+# This package can never enter stable, it can't be mirrored and upstream
+# can remove the distfiles from their mirror anytime.
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND="app-arch/unzip
+       doc? ( app-text/antiword )"
+RDEPEND=""
+
+RESTRICT="mirror bindist"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="/opt/bin/megarc"
+
+pkg_setup() {
+       use amd64 && { has_multilib_profile || die "needs multilib profile on 
amd64"; }
+}
+
+src_compile() {
+       use doc && antiword ut_linux.doc > ${PN}-manual.txt
+}
+
+src_install() {
+       use doc && dodoc ${PN}-manual.txt
+       newdoc ut_linux_${PN}_${PV}.txt ${PN}-release-${PV}.txt
+       newdoc "${DISTDIR}"/README_FOR_${MY_P}-zip.txt README
+
+       exeinto /opt/bin
+       newexe megarc.bin megarc || die
+}

diff --git a/sys-block/megarc/metadata.xml b/sys-block/megarc/metadata.xml
index 5840601..f6bfbb9 100644
--- a/sys-block/megarc/metadata.xml
+++ b/sys-block/megarc/metadata.xml
@@ -1,6 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
+       <!-- used by infra, please do not non-maintainer drop -->
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Sysadmin Project</name>
+       </maintainer>
        <maintainer type="person">
                <email>[email protected]</email>
                <name>Christian Ruppert</name>

Reply via email to